Index: debian/changelog
===================================================================
--- debian/changelog	(revision 48969)
+++ debian/changelog	(working copy)
@@ -1,3 +1,10 @@
+apt-setup (1:0.26) UNRELEASED; urgency=low
+
+  * Default to not using mirrors if the user selected to not configure the
+    network in netcfg.
+
+ -- Frans Pop <fjp@debian.org>  Thu, 16 Aug 2007 11:07:16 +0200
+
 apt-setup (1:0.25) unstable; urgency=low
 
   [ Frans Pop ]
Index: generators/50mirror
===================================================================
--- generators/50mirror	(revision 48969)
+++ generators/50mirror	(working copy)
@@ -53,6 +53,13 @@
 		use_prio=high ;;
 	esac
 
+	# Default to false if no network selected in netcfg
+	if db_get netcfg/dhcp_options && \
+	   [ "$RET" = "Do not configure the network at this time" ]; then
+		use_mirror=false
+		use_prio=medium
+	fi
+
 	# Only set default if not preseeded or already asked
 	# Hack alert: for this to work no default is set in template
 	db_get apt-setup/use_mirror
Index: generators/90services-select
===================================================================
--- generators/90services-select	(revision 48969)
+++ generators/90services-select	(working copy)
@@ -40,6 +40,12 @@
 	exit
 fi
 
+# Default to no services if no network selected in netcfg
+if db_get netcfg/dhcp_options && \
+   [ "$RET" = "Do not configure the network at this time" ]; then
+	db_set apt-setup/services-select ""
+fi
+
 volatile=y
 if [ "$suite" != stable ] && [ "$suite" != oldstable ]; then
 	disable_service volatile || true
